/* You can add global styles to this file, and also import other style files */
:root {
    --primary: #1f4a83;
    --secondary: #ed1e6b;
    --tertiary: #78bce8;
}

body {
    font-family: "Open Sans", sans-serif;
}

.fs-1 {
    font-size: calc(1.375rem + 1.5vw) !important;
}

.fs-2 {
    font-size: calc(1.325rem + 0.9vw) !important;
}

.fs-3 {
    font-size: calc(1.3rem + 0.6vw) !important;
}

.fs-4 {
    font-size: calc(1.275rem + 0.3vw) !important;
}

.fs-5 {
    font-size: 1.25rem !important;
}

.fs-6 {
    font-size: 1rem !important;
}

.fs-8 {
    font-size: 0.5rem !important;
}

.fs-9 {
    font-size: 0.5625rem !important;
}

.fs-10 {
    font-size: 0.625rem !important;
}

.fs-11 {
    font-size: 0.6875rem !important;
}

.fs-12 {
    font-size: 0.75rem !important;
}

.fs-13 {
    font-size: 0.8125rem !important;
}

.fs-14 {
    font-size: 0.875rem !important;
}

.fs-15 {
    font-size: 0.9375rem !important;
}

.fs-16 {
    font-size: 1rem !important;
}

.fs-17 {
    font-size: 1.0625rem !important;
}

.fs-18 {
    font-size: 1.125rem !important;
}

.fs-19 {
    font-size: 1.1875rem !important;
}

.fs-20 {
    font-size: 1.25rem !important;
}

.fs-21 {
    font-size: 1.3125rem !important;
}

.fs-22 {
    font-size: 1.375rem !important;
}

.fs-23 {
    font-size: 1.4375rem !important;
}

.fs-24 {
    font-size: 1.5rem !important;
}

.fs-25 {
    font-size: 1.5625rem !important;
}

.fs-26 {
    font-size: 1.625rem !important;
}

.fs-27 {
    font-size: 1.6875rem !important;
}

.fs-28 {
    font-size: 1.75rem !important;
}

.fs-29 {
    font-size: 1.8125rem !important;
}

.fs-30 {
    font-size: 1.875rem !important;
}

.fs-31 {
    font-size: 1.9375rem !important;
}

.fs-32 {
    font-size: 2rem !important;
}

.fs-33 {
    font-size: 2.0625rem !important;
}

.fs-34 {
    font-size: 2.125rem !important;
}

.fs-35 {
    font-size: 2.1875rem !important;
}

.fs-36 {
    font-size: 2.25rem !important;
}

.fs-37 {
    font-size: 2.3125rem !important;
}

.fs-38 {
    font-size: 2.375rem !important;
}

.fs-39 {
    font-size: 2.4375rem !important;
}

.fs-40 {
    font-size: 2.5rem !important;
}

.fs-41 {
    font-size: 2.5625rem !important;
}

.fs-42 {
    font-size: 2.625rem !important;
}

.fs-43 {
    font-size: 2.6875rem !important;
}

.fs-44 {
    font-size: 2.75rem !important;
}

.fs-45 {
    font-size: 2.8125rem !important;
}

.fs-46 {
    font-size: 2.875rem !important;
}

.fs-47 {
    font-size: 2.9375rem !important;
}

.fs-48 {
    font-size: 3rem !important;
}

.fs-49 {
    font-size: 3.0625rem !important;
}

.fs-50 {
    font-size: 3.125rem !important;
}

.fst-italic {
    font-style: italic !important;
}

.fst-normal {
    font-style: normal !important;
}

.fw-lighter {
    font-weight: lighter !important;
}

.fw-light {
    font-weight: 300 !important;
}

.fw-regular {
    font-weight: 400 !important;
}

.fw-normal {
    font-weight: 400 !important;
}

.fw-medium {
    font-weight: 500 !important;
}

.fw-semibold {
    font-weight: 600 !important;
}

.fw-bold {
    font-weight: 700 !important;
}

.fw-extrabold {
    font-weight: 800 !important;
}

.fw-black {
    font-weight: 900 !important;
}

.sidebar-footer {
    display: flex;
    align-items: center;
    height: 44px;
    background: #78bce81f;
    border-radius: 0.375rem;
    margin-inline: 8px;
}

.dropdown-toggle:after {
    display: none;
}

.sidenav .navbar-collapse {
    height: calc(100vh - 52px - 127px);
}

:not(.main-content) .navbar .sidebar-footer.dropdown .dropdown-menu {
    top: -5.9rem !important;
    border-radius: 0.375rem;
}

.navbar-vertical.bg-white .navbar-nav>.nav-item .nav-link.active {
    background-color: #eff7fc;
    border-radius: 0.375rem;
}

.bg-primary {
    background: var(--primary) !important;
}

.bg-tertiary {
    background: var(--tertiary);
}

.text-black {
    color: #000 !important;
}

.text-primary {
    color: var(--primary) !important;
}

/* .text-secondary{
    color: var(--secondary) !important;
} */

.text-tertiary {
    color: var(--tertiary) !important;
}

.btn {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: 0.45rem 0.75rem;
    font-size: 15px;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
        border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.btn-primary {
    background-color: var(--primary) !important;
    border: 2px solid var(--primary);
    border-color: var(--primary) !important;
}

.btn-secondary {
    background-color: var(--secondary) !important;
    border: 2px solid var(--secondary);
    border-color: var(--secondary) !important;
}

.btn-outline-secondary {
    color: var(--secondary);
    background-color: transparent;
    background-image: none;
    border: 2px solid var(--secondary);
}

.btn-outline-secondary:hover {
    color: #fff !important;
    background-color: var(--secondary) !important;
    border-color: var(--secondary) !important;
}

.avatar-38 {
    width: 38px;
    height: 38px;
}

.bg-secondary {
    background: var(--secondary) !important;
}

.shadow-unset {
    box-shadow: unset;
}

.rounded-circle {
    border-radius: 50%;
}

.py-10 {
    padding-block: 10px !important;
}

.px-10 {
    padding-inline: 10px !important;
}

.vh-224 {
    height: calc(100vh - 224px);
}

.form-control {
    height: 38px;
}

.height-px-38 {
    height: 38px !important;
}

.width-px-38 {
    width: 38px !important;
}

.flex-1 {
    flex: 1;
}

.pull-right {
    float: right;
}

.pull-left {
    float: left;
}

.text-left {
    text-align: left;
}

.form-control-label {
    margin-bottom: 0.15625rem;
    font-size: 0.75rem;
    font-weight: 600;
    color: #0f141c;
}

.card-body .form-group {
    padding: 0 15px;
}

.max-width-900 {
    max-width: 900px;
}

.max-width-100 {
    max-width: 100px;
}

.width-px-250 {
    width: 250px;
}

.btn-sm {
    padding: 0.375rem 1.125rem;
    font-size: 0.875rem;
    border-radius: 0.3rem;
}

.bg-tertiary-12 {
    background: #78bce81f;
}

.btn-tertiary-12 {
    background: #78bce81f;
    border: 1px solid transparent;
}

.btn-success-4 {
    background: rgba(34, 197, 94, 0.04);
    border: 1px solid transparent;
}

.btn-tertiary-12:hover {
    border-color: var(--primary);
}

.btn-success-4:hover {
    border-color: rgb(34, 197, 94);
}

.btn-icon-only {
    width: 2.357rem;
    height: 2.357rem;
    padding: 0;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.btn-text-tertiary-12:hover {
    background: #78bce81f;
    border-color: transparent;
}

.btn-text-success-4:hover {
    background: rgba(34, 197, 94, 0.04);
    border-color: transparent;
}

a:hover {
    color: var(--primary);
    text-decoration: none;
}

.alert {
    padding: 0.75rem 0.75rem !important;
    margin: 0;
    border-radius: 6px !important;
        display: inline-block;

}

/* .alert-danger {
    background: linear-gradient(310deg, #f5365c, #f56036);
    border: solid #f5365c;
    border-width: 0px;
}

.alert-warning {
    background: linear-gradient(310deg, #fb6340, #fbb140);
    border: solid #fbb140;
    border-width: 0px;
}

.alert-success {
    background: linear-gradient(310deg, #2dce89, #2dcecc);
    border: solid #2dce89;
    border-width: 0px;
}

.alert-info {
    background: linear-gradient(310deg, #1171ef, #11cdef);
    border: solid #1171ef;
    border-width: 0px;
} */

.min-height-rem-15 {
    min-height: 15rem !important;
}

.badge {
    padding: 6px 8px !important;
    border-radius: 6px;
    border-radius: 0.3rem;
    font-weight: 600;
    text-transform: capitalize;
    font-size: 12px;
}

.badge-success {
    background: #2dce8938;
    color: #2dce89;
}

.max-vh-218 {
    max-height: calc(100vh - 218px);
}

.max-vh-98 {
    max-height: calc(100vh - 98px);
}

.btn:hover:not(.btn-icon-only) {
    transform: unset;
    opacity: 0.9;
}

.btn-outline-grey {
    color: #a0adbd;
    background-color: transparent;
    background-image: none;
    border: 1px solid #a0adbd;
    box-shadow: unset;
}

.btn-outline-grey:hover {
    color: #fff !important;
    background-color: #a0adbd !important;
    border-color: #a0adbd !important;
}

.form-control {
    border-color: #a0adbd;
    border-radius: 0.25rem;
}

.form-control:focus {
    border-color: var(--primary);
}

.dropdown-item:hover,
.dropdown-item:focus {
    background-color: #ebf3f8;
}

.dropdown .dropdown-menu:before {
    content: unset;
}

.login {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: stretch;
    height: 100%;
    border-radius: 0;
}

.login .main-section {
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    padding: 3.5rem;
}

.login .illustration {
    display: flex;
    flex: 1;
    padding-right: 0;
}

.login .login-form {
    width: 100%;
    max-width: 25rem;
}

.login .login-section {
    width: 100%;
    height: auto;
    padding: 1.5625rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 0.25rem;
}

.login {
    height: 100vh;
    overflow: hidden;
}

.illustration .img {
    background-image: url("../img/login-image.png");
    background-size: contain;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    background-position: center;
}

/* .illustration .img {
  background-image: url("assets/img/lunch-time-not-css.svg");
  background-size: contain;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  background-position: center;
} */
@media (max-width: 992px) {
    .login .illustration {
        display: none;
    }
}

@media (min-width: 992px) {
    .login .main-section {
        width: 50%;
    }
}

/* @media (min-width: 1200px) {
    #navbarBlur {
        display: none;
    }
} */

svg#freepik_stories-lunch-time:not(.animated) .animable {
    opacity: 0;
}

svg#freepik_stories-lunch-time.animated #freepik--background-simple--inject-2 {
    animation: 1s 1 forwards cubic-bezier(0.36, -0.01, 0.5, 1.38) slideUp;
    animation-delay: 0s;
}

svg#freepik_stories-lunch-time.animated #freepik--Dish--inject-2 {
    animation: 1s 1 forwards cubic-bezier(0.36, -0.01, 0.5, 1.38) fadeIn;
    animation-delay: 0s;
}

svg#freepik_stories-lunch-time.animated #freepik--Food--inject-2 {
    animation: 1s 1 forwards cubic-bezier(0.36, -0.01, 0.5, 1.38) slideUp;
    animation-delay: 0s;
}

svg#freepik_stories-lunch-time.animated #freepik--Fork--inject-2 {
    animation: 1s 1 forwards cubic-bezier(0.36, -0.01, 0.5, 1.38) lightSpeedRight;
    animation-delay: 0s;
}

svg#freepik_stories-lunch-time.animated #freepik--Knife--inject-2 {
    animation: 1s 1 forwards cubic-bezier(0.36, -0.01, 0.5, 1.38) lightSpeedLeft;
    animation-delay: 0s;
}

svg#freepik_stories-lunch-time.animated #freepik--Text--inject-2 {
    animation: 1s 1 forwards cubic-bezier(0.36, -0.01, 0.5, 1.38) lightSpeedLeft;
    animation-delay: 0s;
}

@keyframes slideUp {
    0% {
        opacity: 0;
        transform: translateY(30px);
    }

    100% {
        opacity: 1;
        transform: inherit;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes lightSpeedRight {
    from {
        transform: translate3d(50%, 0, 0) skewX(-20deg);
        opacity: 0;
    }

    60% {
        transform: skewX(10deg);
        opacity: 1;
    }

    80% {
        transform: skewX(-2deg);
    }

    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

@keyframes lightSpeedLeft {
    from {
        transform: translate3d(-50%, 0, 0) skewX(20deg);
        opacity: 0;
    }

    60% {
        transform: skewX(-10deg);
        opacity: 1;
    }

    80% {
        transform: skewX(2deg);
    }

    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

.animator-hidden {
    display: none;
}

.px-12 {
    padding-inline: 12px !important;
}

.pe-12 {
    padding-inline-end: 12px !important;
}

.max-vh-196 {
    max-height: calc(100vh - 196px);
}

@media (min-width: 1200px) {
    body+main {
        margin-left: 17.125rem !important;
    }
}

.width-px-280 {
    width: 260px !important;
}

.input-group-wrapper {
    position: relative;
}

.input-group-wrapper.end .form-control {
    padding-inline-end: 2.1875rem;
    padding-inline-start: 0.75rem;
}

.input-group-wrapper.end .input-group-media {
    right: 0;
}

.input-group-wrapper .input-group-media {
    position: absolute;
    top: 0;
    width: auto;
}

.input-group-wrapper .input-group-media.icon svg,
.input-group-wrapper .input-group-media.icon i {
    width: 2.5rem;
    height: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    color: #6a6a6a;
}

.width-px-30 {
    width: 30px;
}

.right-10 {
    right: 10px !important;
}

.top-10 {
    top: 10px !important;
}

.max-width-1000 {
    max-width: 1000px !important;
}

.p-dropdown {
    width: 100% !important;
    border: 1px solid #a0adbd;
}

.p-dropdown.p-dropdown-clearable .p-dropdown-label {
    padding: 7px;
    padding-right: 1.75rem !important;
    font-size: 14px;
}

.p-icon {
    width: 12px !important;
}

.toast-top-right {
    top: 70px !important;
}

/* my changes */
.form-control:disabled,
.form-control[readonly] {
    background-color: #fff;
    opacity: 1;
}

datepicker td,
.datepicker th {
    width: 30px;
    height: 30px;
}

.white {
    color: #fff;
}

label {
    font-weight: 500;
}

.col-form-label {
    font-weight: 400;
}

.form-check-input {
    margin-right: 0.6rem !important;
}

.table .table {
    background-color: #fff;
    width: 98%;
    margin: 0 auto;
}

.table .table th {
    border: 0;
}

.select2-container--bootstrap .select2-selection--multiple .select2-search--inline .select2-search__field {
    line-height: 1.9 !important;
}

.alert-success {
    color: #fff;
    background-color: #2eb85c;
}

.alert-danger {
    color: #fff;
    background-color: #e55353;
}
/* my changes */
.card-footer .flex {
    display: flex;
    text-align: center;
    flex-direction: column;
    gap: 10px;
}

.datepicker-dropdown {
    border: rgb(103, 116, 142) solid 1px;
    box-shadow: 0 0 2rem 0 rgba(136, 152, 170, 0.15);
    z-index: 999 !important;
    font-size: 13px;
    border-radius: 0
}

.datepicker td,
.datepicker th {
    width: 30px;
    height: 30px;
}

.card-footer span {
    box-shadow: none !important
}

.hidden-xs.flex div:first-child {
    order: 1;
    flex: 0 0 100%;
}

.card-footer svg {
    max-height: 35px !important;
    width: 35px !important;
}

.hidden-xs.flex div:last-child {
    order: 0;
    flex: 0 0 100%;
}

.visible-xs {
    display: none !important;
}

.data-grid td {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 200px;
}

textarea {
    min-height: 60px !important
}

.text-xs {
    line-height: 1.5;
}

th {
    padding: 0.5rem 0.5rem !important;
}

.min-height-50 {
    min-height: 50px
}

@media (max-width: 640px) {
    .visible-xs {
        display: flex !important;
    }

    .hidden-xs {
        display: none !important;
    }

    .search-form-tbl tr {
        display: flex;
        flex-direction: column
    }

    .search-form-tbl tr th.w-20 {
        flex: 0 0 100%;
        width: 100% !important;
    }
}
